JodaConvert (JiBX Java data binding to XML - Version 1.2.3)
Keywords: org.jibx.runtime.JodaConvert class

Overview | Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jibx.runtime
Class JodaConvert

    java.lang.Object
      org.jibx.runtime.JodaConvert

    public abstract class JodaConvert

extends java.lang.Object

Utility class supplying static methods for Joda date/time conversions. The actual serializer/deserializer methods are all public so that they'll be included in JavaDocs; support methods are protected, so that they'll be exposed for user classes extending this class.

Author:
  Dennis M. Sosnoski

Constructor Summary
`JodaConvert()`

Method Summary
`static org.joda.time.LocalDate` | `deserializeLocalDate(java.lang.String text)` Deserialize date value from text as local date without time zone.
`static org.joda.time.DateMidnight` | `deserializeLocalDateMidnight(java.lang.String text)` Deserialize date value from text as midnight date in default (local) time zone.
`static org.joda.time.DateTime` | `deserializeLocalDateTime(java.lang.String text)` Deserialize date/time value from text into the local (default) time zone.
`static org.joda.time.LocalTime` | `deserializeLocalTime(java.lang.String text)` Deserialize time value from text as local time.
`static org.joda.time.DateTime` | `deserializeStrictLocalDateTime(java.lang.String text)` Deserialize local (default zone) date/time value from text with time zone required.
`static org.joda.time.DateTime` | `deserializeStrictUTCDateTime(java.lang.String text)` Deserialize UTC date/time value from text with time zone required.
`static org.joda.time.DateMidnight` | `deserializeUTCDateMidnight(java.lang.String text)` Deserialize date value from text as midnight date in UTC time zone.
`static org.joda.time.DateTime` | `deserializeUTCDateTime(java.lang.String text)` Deserialize UTC date/time value from text into the UTC time zone.
`static org.joda.time.DateMidnight` | `deserializeZonedDateMidnight(java.lang.String text)` Deserialize date value from text as midnight date in specified (or default) time zone.
`static org.joda.time.DateTime` | `deserializeZonedDateTime(java.lang.String text)` Deserialize date/time value from text in specified (or default) time zone.
`static java.lang.String` | `serializeLocalDate(org.joda.time.LocalDate date)` Serialize local date value to general date text without time zone.
`static java.lang.String` | `serializeUnzonedDateMidnight(org.joda.time.DateMidnight date)` Serialize midnight date value to general date text without time zone.
`static java.lang.String` | `serializeUnzonedLocalTime(org.joda.time.LocalTime time)` Serialize local time value to general date text without time zone.
`static java.lang.String` | `serializeUTCDateMidnight(org.joda.time.DateMidnight date)` Serialize midnight date value to general date text with UTC time zone.
`static java.lang.String` | `serializeUTCDateTime(org.joda.time.DateTime time)` Serialize date/time to general dateTime text.
`static java.lang.String` | `serializeUTCLocalTime(org.joda.time.LocalTime time)` Serialize local time value to general date text with UTC time zone.
`static java.lang.String` | `serializeZonedDateMidnight(org.joda.time.DateMidnight date)` Serialize midnight date value to general date text with time zone offset.
`static java.lang.String` | `serializeZonedDateTime(org.joda.time.DateTime time)` Serialize date/time to general dateTime text.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JodaConvert

    public JodaConvert()

Method Detail

### deserializeLocalDate

    public static org.joda.time.LocalDate deserializeLocalDate(java.lang.String text)
                                                        throws JiBXException

  Deserialize date value from text as local date without time zone. Date values are expected to match W3C XML Schema standard format as CCYY-MM-DD, with optional leading sign and trailing time zone (with the time zone ignored in this case). This method follows standard JiBX deserializer usage requirements by accepting a `null` input.

  Parameters:
    `text` - text to be parsed (may be `null`)
  Returns:
    converted date, or `null` if passed `null` input
  Throws:
    `JiBXException` - on parse error

### serializeLocalDate

    public static java.lang.String serializeLocalDate(org.joda.time.LocalDate date)

  Serialize local date value to general date text without time zone. Date/time values are formatted in W3C XML Schema standard format as CCYY-MM-DD, with optional leading sign included if necessary.

  Parameters:
    `date` - date to be converted
  Returns:
    converted date text

### deserializeZonedDateMidnight

    public static org.joda.time.DateMidnight deserializeZonedDateMidnight(java.lang.String text)
                                                                   throws JiBXException

  Deserialize date value from text as midnight date in specified (or default) time zone. Date values are expected to match W3C XML Schema standard format as CCYY-MM-DD, with optional leading sign and trailing time zone. If the time zone indication is included a zone matching the offset is used for the date; otherwise the default time zone is used. This method follows standard JiBX deserializer usage requirements by accepting a `null` input.

  Parameters:
    `text` - text to be parsed (may be `null`)
  Returns:
    converted date, or `null` if passed `null` input
  Throws:
    `JiBXException` - on parse error

### deserializeLocalDateMidnight

    public static org.joda.time.DateMidnight deserializeLocalDateMidnight(java.lang.String text)
                                                                   throws JiBXException

  Deserialize date value from text as midnight date in default (local) time zone. Date values are expected to match W3C XML Schema standard format as CCYY-MM-DD, with optional leading sign and trailing time zone (with the time zone ignored in this case). This method follows standard JiBX deserializer usage requirements by accepting a `null` input.

  Parameters:
    `text` - text to be parsed (may be `null`)
  Returns:
    converted date, or `null` if passed `null` input
  Throws:
    `JiBXException` - on parse error

### deserializeUTCDateMidnight

    public static org.joda.time.DateMidnight deserializeUTCDateMidnight(java.lang.String text)
                                                                 throws JiBXException

  Deserialize date value from text as midnight date in UTC time zone. Date values are expected to match W3C XML Schema standard format as CCYY-MM-DD, with optional leading sign and trailing time zone (with the time zone ignored in this case). This method follows standard JiBX deserializer usage requirements by accepting a `null` input.

  Parameters:
    `text` - text to be parsed (may be `null`)
  Returns:
    converted date, or `null` if passed `null` input
  Throws:
    `JiBXException` - on parse error

### serializeUnzonedDateMidnight

    public static java.lang.String serializeUnzonedDateMidnight(org.joda.time.DateMidnight date)

  Serialize midnight date value to general date text without time zone. Date values are formatted in W3C XML Schema standard format as CCYY-MM-DD, with optional leading sign included if necessary.

  Parameters:
    `date` - date to be converted
  Returns:
    converted date text

### serializeZonedDateMidnight

    public static java.lang.String serializeZonedDateMidnight(org.joda.time.DateMidnight date)

  Serialize midnight date value to general date text with time zone offset. Date values are formatted in W3C XML Schema standard format as CCYY-MM-DD, with optional leading sign included if necessary and trailing time zone offset.

  Parameters:
    `date` - date to be converted
  Returns:
    converted date text

### serializeUTCDateMidnight

    public static java.lang.String serializeUTCDateMidnight(org.joda.time.DateMidnight date)

  Serialize midnight date value to general date text with UTC time zone. Date values are formatted in W3C XML Schema standard format as CCYY-MM-DDZ, with optional leading sign included if necessary.

  Parameters:
    `date` - date to be converted
  Returns:
    converted date text

### deserializeLocalTime

    public static org.joda.time.LocalTime deserializeLocalTime(java.lang.String text)
                                                        throws JiBXException

  Deserialize time value from text as local time. Time values are expected to match W3C XML Schema standard format as hh:mm:ss.fff, with optional trailing time zone (with the time zone ignored in this case). This method follows standard JiBX deserializer usage requirements by accepting a `null` input.

  Parameters:
    `text` - text to be parsed (may be `null`)
  Returns:
    converted date, or `null` if passed `null` input
  Throws:
    `JiBXException` - on parse error

### serializeUnzonedLocalTime

    public static java.lang.String serializeUnzonedLocalTime(org.joda.time.LocalTime time)

  Serialize local time value to general date text without time zone. Time values are formatted in W3C XML Schema standard format as hh:mm:ss.fff.

  Parameters:
    `time` - time to be converted
  Returns:
    converted time text

### serializeUTCLocalTime

    public static java.lang.String serializeUTCLocalTime(org.joda.time.LocalTime time)

  Serialize local time value to general date text with UTC time zone. Time values are formatted in W3C XML Schema standard format as hh:mm:ss.fffZ, with optional leading sign included if necessary.

  Parameters:
    `time` - time to be converted
  Returns:
    converted time text

### deserializeZonedDateTime

    public static org.joda.time.DateTime deserializeZonedDateTime(java.lang.String text)
                                                           throws JiBXException

  Deserialize date/time value from text in specified (or default) time zone. Date/time values are expected to match W3C XML Schema standard format as CCYY-MM-DDThh:mm:ss.fff, with optional leading sign and trailing time zone. If the time zone indication is included a zone matching the offset is used for the date; otherwise the default time zone is used. This method follows standard JiBX deserializer usage requirements by accepting a `null` input.

  Parameters:
    `text` - text to be parsed (may be `null`)
  Returns:
    converted date, or `null` if passed `null` input
  Throws:
    `JiBXException` - on parse error

### deserializeUTCDateTime

    public static org.joda.time.DateTime deserializeUTCDateTime(java.lang.String text)
                                                         throws JiBXException

  Deserialize UTC date/time value from text into the UTC time zone. Date values are expected to match W3C XML Schema standard format as CCYY-MM-DDThh:mm:ss.fff, with optional leading sign and trailing time zone (with the time zone used to convert the value to UTC, and UTC assumed if no time zone is specified). This method follows standard JiBX deserializer usage requirements by accepting a `null` input.

  Parameters:
    `text` - text to be parsed (may be `null`)
  Returns:
    converted date, or `null` if passed `null` input
  Throws:
    `JiBXException` - on parse error

### deserializeLocalDateTime

    public static org.joda.time.DateTime deserializeLocalDateTime(java.lang.String text)
                                                           throws JiBXException

  Deserialize date/time value from text into the local (default) time zone. Date values are expected to match W3C XML Schema standard format as CCYY-MM-DDThh:mm:ss.fff, with optional leading sign and trailing time zone (with the time zone used to convert the value to the local time zone, and the local time zone assumed if no time zone is specified). This method follows standard JiBX deserializer usage requirements by accepting a `null` input.

  Parameters:
    `text` - text to be parsed (may be `null`)
  Returns:
    converted date, or `null` if passed `null` input
  Throws:
    `JiBXException` - on parse error

### deserializeStrictUTCDateTime

    public static org.joda.time.DateTime deserializeStrictUTCDateTime(java.lang.String text)
                                                               throws JiBXException

  Deserialize UTC date/time value from text with time zone required. Date values are expected to match W3C XML Schema standard format as CCYY-MM-DDThh:mm:ss.fff, with optional leading sign but required trailing time zone (with the time zone used to convert the value to UTC). This method follows standard JiBX deserializer usage requirements by accepting a `null` input.

  Parameters:
    `text` - text to be parsed (may be `null`)
  Returns:
    converted date, or `null` if passed `null` input
  Throws:
    `JiBXException` - on parse error

### deserializeStrictLocalDateTime

    public static org.joda.time.DateTime deserializeStrictLocalDateTime(java.lang.String text)
                                                                 throws JiBXException

  Deserialize local (default zone) date/time value from text with time zone required. Date values are expected to match W3C XML Schema standard format as CCYY-MM-DDThh:mm:ss.fff, with optional leading sign but required trailing time zone (with the time zone used to convert the value to the local time zone). This method follows standard JiBX deserializer usage requirements by accepting a `null` input.

  Parameters:
    `text` - text to be parsed (may be `null`)
  Returns:
    converted date, or `null` if passed `null` input
  Throws:
    `JiBXException` - on parse error

### serializeZonedDateTime

    public static java.lang.String serializeZonedDateTime(org.joda.time.DateTime time)

  Serialize date/time to general dateTime text. Date/time values are formatted in W3C XML Schema standard format as CCYY-MM-DDThh:mm:ss.fff, with optional leading sign included if necessary. Time zone information is always included in the output, with the value determined by the zone used for the date/time.

  Parameters:
    `time` - date/time to be converted
  Returns:
    converted date/time text

### serializeUTCDateTime

    public static java.lang.String serializeUTCDateTime(org.joda.time.DateTime time)

  Serialize date/time to general dateTime text. Date/time values are formatted in W3C XML Schema standard format as CCYY-MM-DDThh:mm:ss.fff, with optional leading sign included if necessary. Time zone information is always included in the output, as 'Z' to indicate UTC.

  Parameters:
    `time` - date/time to be converted
  Returns:
    converted date/time text

Overview | Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project Web Site |